/*
Author: Adam C. Migus <adam@migus.org>

Copyright (c) 2004 Adam C. Migus.  All rights reserved.

This library is released under the GNU GPL and BSD software licenses.
You may choose to use one or the other, BUT NOT BOTH.  The GNU GPL
license is located in the file named COPYING.  The BSD license is located
in the file named COPYING.BSD.  Please contact us if there are any
questions.

$Id: idmef_create.h.in,v 1.1 2004/03/15 12:07:02 amigus Exp $
*/

#ifndef _IDMEF_CREATE_H
#define _IDMEF_CREATE_H 1

IDMEFPtr newIDMEF_Message(IDMEFPtr first, ...);
IDMEFPtr newIDMEF_Message_version(const char *first, ...);
IDMEFPtr newIDMEF_Message_xmlns(const char *first, ...);
IDMEFPtr newIDMEF_Message_xmlns_idmef(const char *first, ...);
IDMEFPtr newIDMEF_Message_xml_lang(const char *first, ...);
IDMEFPtr newIDMEF_Message_xml_space(const char *first, ...);
IDMEFPtr newAlert(IDMEFPtr first, ...);
IDMEFPtr newAlert_messageid(const char *first, ...);
IDMEFPtr newAlert_xmlns(const char *first, ...);
IDMEFPtr newAlert_xmlns_idmef(const char *first, ...);
IDMEFPtr newAlert_xml_lang(const char *first, ...);
IDMEFPtr newAlert_xml_space(const char *first, ...);
IDMEFPtr newHeartbeat(IDMEFPtr first, ...);
IDMEFPtr newHeartbeat_messageid(const char *first, ...);
IDMEFPtr newHeartbeat_xmlns(const char *first, ...);
IDMEFPtr newHeartbeat_xmlns_idmef(const char *first, ...);
IDMEFPtr newHeartbeat_xml_lang(const char *first, ...);
IDMEFPtr newHeartbeat_xml_space(const char *first, ...);
IDMEFPtr newHeartbeatInterval(const char *first, ...);
IDMEFPtr newHeartbeatInterval_xmlns(const char *first, ...);
IDMEFPtr newHeartbeatInterval_xmlns_idmef(const char *first, ...);
IDMEFPtr newHeartbeatInterval_xml_lang(const char *first, ...);
IDMEFPtr newHeartbeatInterval_xml_space(const char *first, ...);
IDMEFPtr newToolAlert(IDMEFPtr first, ...);
IDMEFPtr newToolAlert_name(const char *first, ...);
IDMEFPtr newToolAlert_command(const char *first, ...);
IDMEFPtr newToolAlert_alertident(const char *first, ...);
IDMEFPtr newToolAlert_analyzerid(const char *first, ...);
IDMEFPtr newToolAlert_xmlns(const char *first, ...);
IDMEFPtr newToolAlert_xmlns_idmef(const char *first, ...);
IDMEFPtr newToolAlert_xml_lang(const char *first, ...);
IDMEFPtr newToolAlert_xml_space(const char *first, ...);
IDMEFPtr newCorrelationAlert(IDMEFPtr first, ...);
IDMEFPtr newCorrelationAlert_name(const char *first, ...);
IDMEFPtr newCorrelationAlert_alertident(const char *first, ...);
IDMEFPtr newCorrelationAlert_analyzerid(const char *first, ...);
IDMEFPtr newCorrelationAlert_xmlns(const char *first, ...);
IDMEFPtr newCorrelationAlert_xmlns_idmef(const char *first, ...);
IDMEFPtr newCorrelationAlert_xml_lang(const char *first, ...);
IDMEFPtr newCorrelationAlert_xml_space(const char *first, ...);
IDMEFPtr newOverflowAlert(IDMEFPtr first, ...);
IDMEFPtr newOverflowAlert_program(const char *first, ...);
IDMEFPtr newOverflowAlert_size(const char *first, ...);
IDMEFPtr newOverflowAlert_buffer(const char *first, ...);
IDMEFPtr newOverflowAlert_xmlns(const char *first, ...);
IDMEFPtr newOverflowAlert_xmlns_idmef(const char *first, ...);
IDMEFPtr newOverflowAlert_xml_lang(const char *first, ...);
IDMEFPtr newOverflowAlert_xml_space(const char *first, ...);
IDMEFPtr newAnalyzer(IDMEFPtr first, ...);
IDMEFPtr newAnalyzer_analyzerid(const char *first, ...);
IDMEFPtr newAnalyzer_name(const char *first, ...);
IDMEFPtr newAnalyzer_manufacturer(const char *first, ...);
IDMEFPtr newAnalyzer_model(const char *first, ...);
IDMEFPtr newAnalyzer_version(const char *first, ...);
IDMEFPtr newAnalyzer_class(const char *first, ...);
IDMEFPtr newAnalyzer_ostype(const char *first, ...);
IDMEFPtr newAnalyzer_osversion(const char *first, ...);
IDMEFPtr newAnalyzer_xmlns(const char *first, ...);
IDMEFPtr newAnalyzer_xmlns_idmef(const char *first, ...);
IDMEFPtr newAnalyzer_xml_lang(const char *first, ...);
IDMEFPtr newAnalyzer_xml_space(const char *first, ...);
IDMEFPtr newClassification(IDMEFPtr first, ...);
IDMEFPtr newClassification_ident(const char *first, ...);
IDMEFPtr newClassification_text(const char *first, ...);
IDMEFPtr newReference(IDMEFPtr first, ...);
IDMEFPtr newReference_origin(const char *first, ...);
IDMEFPtr newReference_meaning(const char *first, ...);
IDMEFPtr newReference_name(const char *first, ...);
IDMEFPtr newReference_url(const char *first, ...);
IDMEFPtr newSource(IDMEFPtr first, ...);
IDMEFPtr newSource_ident(const char *first, ...);
IDMEFPtr newSource_spoofed(const char *first, ...);
IDMEFPtr newSource_interface(const char *first, ...);
IDMEFPtr newSource_xmlns(const char *first, ...);
IDMEFPtr newSource_xmlns_idmef(const char *first, ...);
IDMEFPtr newSource_xml_lang(const char *first, ...);
IDMEFPtr newSource_xml_space(const char *first, ...);
IDMEFPtr newTarget(IDMEFPtr first, ...);
IDMEFPtr newTarget_ident(const char *first, ...);
IDMEFPtr newTarget_decoy(const char *first, ...);
IDMEFPtr newTarget_interface(const char *first, ...);
IDMEFPtr newTarget_xmlns(const char *first, ...);
IDMEFPtr newTarget_xmlns_idmef(const char *first, ...);
IDMEFPtr newTarget_xml_lang(const char *first, ...);
IDMEFPtr newTarget_xml_space(const char *first, ...);
IDMEFPtr newAssessment(IDMEFPtr first, ...);
IDMEFPtr newAssessmen_xmlns(const char *first, ...);
IDMEFPtr newAssessmen_xmlns_idmef(const char *first, ...);
IDMEFPtr newAssessmen_xml_lang(const char *first, ...);
IDMEFPtr newAssessmen_xml_space(const char *first, ...);
IDMEFPtr newAdditionalData(IDMEFPtr first, ...);
IDMEFPtr newAdditionalData_type(const char *first, ...);
IDMEFPtr newAdditionalData_meaning(const char *first, ...);
IDMEFPtr newAdditionalData_boolean(const char *first, ...);
IDMEFPtr newAdditionalData_byte(const char *first, ...);
IDMEFPtr newAdditionalData_character(const char *first, ...);
IDMEFPtr newAdditionalData_date_time(const char *first, ...);
IDMEFPtr newAdditionalData_integer(const char *first, ...);
IDMEFPtr newAdditionalData_ntpstamp(const char *first, ...);
IDMEFPtr newAdditionalData_portlist(const char *first, ...);
IDMEFPtr newAdditionalData_real(const char *first, ...);
IDMEFPtr newAdditionalData_string(const char *first, ...);
IDMEFPtr newAdditionalData_byte_string(const char *first, ...);
IDMEFPtr newAdditionalData_xmltext(const char *first, ...);
IDMEFPtr newAdditionalData_xmlns(const char *first, ...);
IDMEFPtr newAdditionalData_xmlns_idmef(const char *first, ...);
IDMEFPtr newAdditionalData_xml_lang(const char *first, ...);
IDMEFPtr newAdditionalData_xml_space(const char *first, ...);
IDMEFPtr newCreateTime(const char *first, ...);
IDMEFPtr newCreateTime_ntpstamp(const char *first, ...);
IDMEFPtr newCreateTime_xmlns(const char *first, ...);
IDMEFPtr newCreateTime_xmlns_idmef(const char *first, ...);
IDMEFPtr newCreateTime_xml_lang(const char *first, ...);
IDMEFPtr newCreateTime_xml_space(const char *first, ...);
IDMEFPtr newAnalyzerTime(const char *first, ...);
IDMEFPtr newAnalyzerTime_ntpstamp(const char *first, ...);
IDMEFPtr newAnalyzerTime_xmlns(const char *first, ...);
IDMEFPtr newAnalyzerTime_xmlns_idmef(const char *first, ...);
IDMEFPtr newAnalyzerTime_xml_lang(const char *first, ...);
IDMEFPtr newAnalyzerTime_xml_space(const char *first, ...);
IDMEFPtr newDetectTime(const char *first, ...);
IDMEFPtr newDetectTime_ntpstamp(const char *first, ...);
IDMEFPtr newDetectTim_xmlns(const char *first, ...);
IDMEFPtr newDetectTim_xmlns_idmef(const char *first, ...);
IDMEFPtr newDetectTim_xml_lang(const char *first, ...);
IDMEFPtr newDetectTim_xml_space(const char *first, ...);
IDMEFPtr newImpact(const char *first, ...);
IDMEFPtr newImpact_severity(const char *first, ...);
IDMEFPtr newImpact_completion(const char *first, ...);
IDMEFPtr newImpact_type(const char *first, ...);
IDMEFPtr newImpact_xmlns(const char *first, ...);
IDMEFPtr newImpact_xmlns_idmef(const char *first, ...);
IDMEFPtr newImpact_xml_lang(const char *first, ...);
IDMEFPtr newImpact_xml_space(const char *first, ...);
IDMEFPtr newAction(const char *first, ...);
IDMEFPtr newAction_category(const char *first, ...);
IDMEFPtr newAction_xmlns(const char *first, ...);
IDMEFPtr newAction_xmlns_idmef(const char *first, ...);
IDMEFPtr newAction_xml_lang(const char *first, ...);
IDMEFPtr newAction_xml_space(const char *first, ...);
IDMEFPtr newConfidence(const char *first, ...);
IDMEFPtr newConfidence_rating(const char *first, ...);
IDMEFPtr newConfidence_xmlns(const char *first, ...);
IDMEFPtr newConfidence_xmlns_idmef(const char *first, ...);
IDMEFPtr newConfidence_xml_lang(const char *first, ...);
IDMEFPtr newConfidence_xml_space(const char *first, ...);
IDMEFPtr newNode(IDMEFPtr first, ...);
IDMEFPtr newNode_ident(const char *first, ...);
IDMEFPtr newNode_category(const char *first, ...);
IDMEFPtr newNode_location(const char *first, ...);
IDMEFPtr newNode_name(const char *first, ...);
IDMEFPtr newNode_xmlns(const char *first, ...);
IDMEFPtr newNode_xmlns_idmef(const char *first, ...);
IDMEFPtr newNode_xml_lang(const char *first, ...);
IDMEFPtr newNode_xml_space(const char *first, ...);
IDMEFPtr newAddress(IDMEFPtr first, ...);
IDMEFPtr newAddress_ident(const char *first, ...);
IDMEFPtr newAddress_category(const char *first, ...);
IDMEFPtr newAddress_vlan_name(const char *first, ...);
IDMEFPtr newAddress_vlan_num(const char *first, ...);
IDMEFPtr newAddress_address(const char *first, ...);
IDMEFPtr newAddress_netmask(const char *first, ...);
IDMEFPtr newAddress_xmlns(const char *first, ...);
IDMEFPtr newAddress_xmlns_idmef(const char *first, ...);
IDMEFPtr newAddress_xml_lang(const char *first, ...);
IDMEFPtr newAddress_xml_space(const char *first, ...);
IDMEFPtr newUser(IDMEFPtr first, ...);
IDMEFPtr newUser_ident(const char *first, ...);
IDMEFPtr newUser_category(const char *first, ...);
IDMEFPtr newUser_xmlns(const char *first, ...);
IDMEFPtr newUser_xmlns_idmef(const char *first, ...);
IDMEFPtr newUser_xml_lang(const char *first, ...);
IDMEFPtr newUser_xml_space(const char *first, ...);
IDMEFPtr newUserId(IDMEFPtr first, ...);
IDMEFPtr newUserId_ident(const char *first, ...);
IDMEFPtr newUserId_type(const char *first, ...);
IDMEFPtr newUserId_tty(const char *first, ...);
IDMEFPtr newUserId_name(const char *first, ...);
IDMEFPtr newUserId_number(const char *first, ...);
IDMEFPtr newUserId_xmlns(const char *first, ...);
IDMEFPtr newUserId_xmlns_idmef(const char *first, ...);
IDMEFPtr newUserId_xml_lang(const char *first, ...);
IDMEFPtr newUserId_xml_space(const char *first, ...);
IDMEFPtr newProcess(IDMEFPtr first, ...);
IDMEFPtr newProcess_ident(const char *first, ...);
IDMEFPtr newProcess_name(const char *first, ...);
IDMEFPtr newProcess_pid(const char *first, ...);
IDMEFPtr newProcess_path(const char *first, ...);
IDMEFPtr newProcess_arg(const char *first, ...);
IDMEFPtr newProcess_env(const char *first, ...);
IDMEFPtr newProcess_xmlns(const char *first, ...);
IDMEFPtr newProcess_xmlns_idmef(const char *first, ...);
IDMEFPtr newProcess_xml_lang(const char *first, ...);
IDMEFPtr newProcess_xml_space(const char *first, ...);
IDMEFPtr newService(IDMEFPtr first, ...);
IDMEFPtr newService_ident(const char *first, ...);
IDMEFPtr newService_ip_version(const char *first, ...);
IDMEFPtr newService_iana_protocol_number(const char *first, ...);
IDMEFPtr newService_iana_protocol_name(const char *first, ...);
IDMEFPtr newService_name(const char *first, ...);
IDMEFPtr newService_port(const char *first, ...);
IDMEFPtr newService_portlist(const char *first, ...);
IDMEFPtr newService_protocol(const char *first, ...);
IDMEFPtr newService_xmlns(const char *first, ...);
IDMEFPtr newService_xmlns_idmef(const char *first, ...);
IDMEFPtr newService_xml_lang(const char *first, ...);
IDMEFPtr newService_xml_space(const char *first, ...);
IDMEFPtr newWebService(IDMEFPtr first, ...);
IDMEFPtr newWebService_url(const char *first, ...);
IDMEFPtr newWebService_cgi(const char *first, ...);
IDMEFPtr newWebService_http_method(const char *first, ...);
IDMEFPtr newWebService_arg(const char *first, ...);
IDMEFPtr newWebService_xmlns(const char *first, ...);
IDMEFPtr newWebService_xmlns_idmef(const char *first, ...);
IDMEFPtr newWebService_xml_lang(const char *first, ...);
IDMEFPtr newWebService_xml_space(const char *first, ...);
IDMEFPtr newSNMPService(IDMEFPtr first, ...);
IDMEFPtr newSNMPService_oid(const char *first, ...);
IDMEFPtr newSNMPService_securityName(const char *first, ...);
IDMEFPtr newSNMPService_contextName(const char *first, ...);
IDMEFPtr newSNMPService_contextEngineID(const char *first, ...);
IDMEFPtr newSNMPService_community(const char *first, ...);
IDMEFPtr newSNMPService_command(const char *first, ...);
IDMEFPtr newSNMPService_xmlns(const char *first, ...);
IDMEFPtr newSNMPService_xmlns_idmef(const char *first, ...);
IDMEFPtr newSNMPService_xml_lang(const char *first, ...);
IDMEFPtr newSNMPService_xml_space(const char *first, ...);
IDMEFPtr newFile(IDMEFPtr first, ...);
IDMEFPtr newFile_ident(const char *first, ...);
IDMEFPtr newFile_category(const char *first, ...);
IDMEFPtr newFile_fstype(const char *first, ...);
IDMEFPtr newFile_file_type(const char *first, ...);
IDMEFPtr newFile_name(const char *first, ...);
IDMEFPtr newFile_path(const char *first, ...);
IDMEFPtr newFile_create_time(const char *first, ...);
IDMEFPtr newFile_modify_time(const char *first, ...);
IDMEFPtr newFile_access_time(const char *first, ...);
IDMEFPtr newFile_data_size(const char *first, ...);
IDMEFPtr newFile_disk_size(const char *first, ...);
IDMEFPtr newFile_xmlns(const char *first, ...);
IDMEFPtr newFile_xmlns_idmef(const char *first, ...);
IDMEFPtr newFile_xml_lang(const char *first, ...);
IDMEFPtr newFile_xml_space(const char *first, ...);
IDMEFPtr newFileAccess(IDMEFPtr first, ...);
IDMEFPtr newFileAccess_permission(const char *first, ...);
IDMEFPtr newFileAccess_xmlns(const char *first, ...);
IDMEFPtr newFileAccess_xmlns_idmef(const char *first, ...);
IDMEFPtr newFileAccess_xml_lang(const char *first, ...);
IDMEFPtr newFileAccess_xml_space(const char *first, ...);
IDMEFPtr newLinkage(IDMEFPtr first, ...);
IDMEFPtr newLinkage_category(const char *first, ...);
IDMEFPtr newLinkage_name(const char *first, ...);
IDMEFPtr newLinkage_path(const char *first, ...);
IDMEFPtr newLinkage_xmlns(const char *first, ...);
IDMEFPtr newLinkage_xmlns_idmef(const char *first, ...);
IDMEFPtr newLinkage_xml_lang(const char *first, ...);
IDMEFPtr newLinkage_xml_space(const char *first, ...);
IDMEFPtr newInode(IDMEFPtr first, ...);
IDMEFPtr newInode_change_time(const char *first, ...);
IDMEFPtr newInode_number(const char *first, ...);
IDMEFPtr newInode_major_device(const char *first, ...);
IDMEFPtr newInode_minor_device(const char *first, ...);
IDMEFPtr newInode_c_major_device(const char *first, ...);
IDMEFPtr newInode_c_minor_device(const char *first, ...);
IDMEFPtr newInode_xmlns(const char *first, ...);
IDMEFPtr newInode_xmlns_idmef(const char *first, ...);
IDMEFPtr newInode_xml_lang(const char *first, ...);
IDMEFPtr newInode_xml_space(const char *first, ...);
IDMEFPtr newChecksum(IDMEFPtr first, ...);
IDMEFPtr newChecksum_algorithm(const char *first, ...);
IDMEFPtr newChecksum_value(const char *first, ...);
IDMEFPtr newChecksum_key(const char *first, ...);
IDMEFPtr newChecksum_xmlns(const char *first, ...);
IDMEFPtr newChecksum_xmlns_idmef(const char *first, ...);
IDMEFPtr newChecksum_xml_lang(const char *first, ...);
IDMEFPtr newChecksum_xml_space(const char *first, ...);

#endif /* _IDMEF_CREATE_H */
